Subject: RE: draft-ietf-hubmib-etherif-mib-v2-02.txt

From: "Kubinec, Lynn" <[email-masked]>
Date: Mon, 1 Feb 1999 14:54:02 -0600

Ah...thanks for this work.  I was focussed on finding something 
that affected the pause functionality and missed these references
entirely.  

I guess I'm wondering why pause quanta isn't a "manageable" 
object...is it because it's not in the IEEE spec or have we
discussed this and I was on another planet?  

Lynn

> -----Original Message-----
> From: John Flick [mailto:[email-masked]]
> Sent: Monday, February 01, 1999 2:33 PM
> To: Kubinec, Lynn
> Cc: [email-masked]
> Subject: RE: draft-ietf-hubmib-etherif-mib-v2-02.txt
> 
> 
> Kubinec, Lynn writes:
>  > Hi all,
>  > 
>  > I received a question regarding one of the MIB objects in
>  > the etherif MIB.  I can't answer it, so I'm looking to the
>  > group for help.  The object is the dot3PauseLinkDelayAllowance.
>  > 
>  > Anyone have any idea what this REALLY is?  Is it the pause quanta
>  > multiplied by 512?
>  > 
>  > I've checked the 1998 version of IEEE 802.3 which includes 
>  > 802.3x and y (1997).  The only reference to LinkDelayAllowance
>  > is in the management section (30.3.4.1).  In the Annex (31B),
>  > the Pause function's parameter is pause quanta.
>  > 
>  > Any enlightenment greatly appreciated.  Thanks!
>  > 
>  > Lynn
> 
> The only mention of the link delay allowance in the Annex is at the
> end of 31B.3.7:
> 
>     "In addition to DTE and MAC Control delays, system designers
>     should take into accoutn the delay of the link segment when
>     designing devices that implement the PAUSE operation (see Clause
>     29)." 
> 
> Tables in clause 29 have maximum round trip delay bit times for
> various types of cabling.  Clause 42 has similar information for
> Gigabit.
> 
> The annex doesn't specifically say how the pause function is supposed
> to use this information, or why it may be interesting from a
> management point of view.  I'll let Dan handle that, since he was the
> one arguing to keep this object when I wanted to nuke it :-)
> 
> John
>